# Uses of Interface
org.apache.lucene.index.PointValues.PointTree

Packages that use PointValues.PointTree
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util.bkd
Block KD-tree, implementing the generic spatial data structure described in this paper.

- ## Uses of PointValues.PointTree in org.apache.lucene.codecs

  Classes in org.apache.lucene.codecs that implement PointValues.PointTree
  Modifier and Type
  Class
  Description
  `class`
  `MutablePointTree`
  One leaf `PointValues.PointTree` whose order of points can be changed.
  Methods in org.apache.lucene.codecs that return PointValues.PointTree
  Modifier and Type
  Method
  Description
  `final PointValues.PointTree`
  MutablePointTree.`clone()`

- ## Uses of PointValues.PointTree in org.apache.lucene.index

  Methods in org.apache.lucene.index that return PointValues.PointTree
  Modifier and Type
  Method
  Description
  `PointValues.PointTree`
  PointValues.PointTree.`clone()`
  Clone, the current node becomes the root of the new tree.
  `abstract PointValues.PointTree`
  PointValues.`getPointTree()`
  Create a new `PointValues.PointTree` to navigate the index
  Methods in org.apache.lucene.index with parameters of type PointValues.PointTree
  Modifier and Type
  Method
  Description
  `static boolean`
  PointValues.`isEstimatedPointCountGreaterThanOrEqualTo(PointValues.IntersectVisitor visitor, PointValues.PointTree pointTree, long upperBound)`
  Estimate if the point count that would be matched by `PointValues.intersect(org.apache.lucene.index.PointValues.IntersectVisitor)` with the given `PointValues.IntersectVisitor` is greater than or equal to the upperBound.

- ## Uses of PointValues.PointTree in org.apache.lucene.util.bkd

  Methods in org.apache.lucene.util.bkd that return PointValues.PointTree
  Modifier and Type
  Method
  Description
  `PointValues.PointTree`
  BKDReader.`getPointTree()`